### Enumeration

# Gsk RenderNodeType

#### Declaration

    enum Gsk.RenderNodeType

#### Description [src]

The type of a node determines what the node is rendering.

#### Members

Name | Description
--- | ---
`GSK_NOT_A_RENDER_NODE` | Error type. No node will ever have this type.
`GSK_CONTAINER_NODE` | A node containing a stack of children.
`GSK_CAIRO_NODE` | A node drawing a `cairo_surface_t`.
`GSK_COLOR_NODE` | A node drawing a single color rectangle.
`GSK_LINEAR_GRADIENT_NODE` | A node drawing a linear gradient.
`GSK_REPEATING_LINEAR_GRADIENT_NODE` | A node drawing a repeating linear gradient.
`GSK_RADIAL_GRADIENT_NODE` | A node drawing a radial gradient.
`GSK_REPEATING_RADIAL_GRADIENT_NODE` | A node drawing a repeating radial gradient.
`GSK_CONIC_GRADIENT_NODE` | A node drawing a conic gradient.
`GSK_BORDER_NODE` | A node stroking a border around an area.
`GSK_TEXTURE_NODE` | A node drawing a `GdkTexture`.
`GSK_INSET_SHADOW_NODE` | A node drawing an inset shadow.
`GSK_OUTSET_SHADOW_NODE` | A node drawing an outset shadow.
`GSK_TRANSFORM_NODE` | A node that renders its child after applying a matrix transform.
`GSK_OPACITY_NODE` | A node that changes the opacity of its child.
`GSK_COLOR_MATRIX_NODE` | A node that applies a color matrix to every pixel.
`GSK_REPEAT_NODE` | A node that repeats the child’s contents.
`GSK_CLIP_NODE` | A node that clips its child to a rectangular area.
`GSK_ROUNDED_CLIP_NODE` | A node that clips its child to a rounded rectangle.
`GSK_SHADOW_NODE` | A node that draws a shadow below its child.
`GSK_BLEND_NODE` | A node that blends two children together.
`GSK_CROSS_FADE_NODE` | A node that cross-fades between two children.
`GSK_TEXT_NODE` | A node containing a glyph string.
`GSK_BLUR_NODE` | A node that applies a blur.
`GSK_DEBUG_NODE` | Debug information that does not affect the rendering.
`GSK_GL_SHADER_NODE` | A node that uses OpenGL fragment shaders to render.